Subject: Re: [mobile-ip] RE: RFC 2462 DAD optimization

From: bkhabs <[email-masked]>
Date: Tue, 20 Aug 2002 08:04:51 -0700 (PDT)

On Tue, 20 Aug 2002 17:10:31  0300 Markku Savela <[email-masked]>
wrote.
From: Francis Dupont <[email-masked]>

Another detail: before doing DAD, the solicited group must be joined
and this is another cause of collisions when implementations are buggy
(i.e., no new report should be sent because the node is already a member
of the group).

What report? Solicited node is LINKLOCAL group, there is no need to
send any joins on those? Or is some weird multilink hack again
breaking the basic assumptions about Link Local?

RFC 2710 requires that nodes listening to a multicast group of scope
2 or greater (excluding ALL-NODES) to participate in the MLD protocol.
It is intended to allow for proper behavior with the use of IGMP/MLD
snooping switches.

Brian